// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSCapabilityOverrideOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSCapabilityOverride)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NameplateValue nameplateValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the nameplateValue field is set.
   */
  boolean hasNameplateValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NameplateValue nameplateValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The nameplateValue.
   */
  openfmb.commonmodule.NameplateValue getNameplateValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.NameplateValue nameplateValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.NameplateValueOrBuilder getNameplateValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSCapabilityConfiguration essCapabilityConfiguration = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the essCapabilityConfiguration field is set.
   */
  boolean hasEssCapabilityConfiguration();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSCapabilityConfiguration essCapabilityConfiguration = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The essCapabilityConfiguration.
   */
  openfmb.essmodule.ESSCapabilityConfiguration getEssCapabilityConfiguration();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.essmodule.ESSCapabilityConfiguration essCapabilityConfiguration = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.essmodule.ESSCapabilityConfigurationOrBuilder getEssCapabilityConfigurationOrBuilder();
}
